# 32/64bit spec-file
#
%define name		rekonq
%define version		2.4.2
%define release		%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Url:		http://rekonq.kde.org/
Group:		Graphical desktop/KDE4
Source:		http://downloads.sourceforge.net/rekonq/%name-%version.tar.xz
Summary:	Lightweight KDE browser based on WebKit
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#--------------------------------
BuildRequires: cmake
BuildRequires: docbook-style-xsl
BuildRequires: kde4-macros
BuildRequires: kdelibs-devel
BuildRequires: %{_lib}qca2
BuildRequires: %{_lib}qca2-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: openssl-devel
BuildRequires: phonon-devel
BuildRequires: qoauth-devel
BuildRequires: soprano-devel
#-----------------------------
Obsoletes:	%name < %version
Requires:	m4
Requires:      indexhtml

%description
rekonq is a lightweight KDE browser based on Webkit.
Its code is based on Nokia QtDemoBrowser, just like Arora.
Anyway its implementation is going to embrace KDE technologies
to have a full-featured KDE web browser.

Features

rekonq will never have tons of features like (some) other browsers.
Anyway, it can:

    * Provide a good tabbed browsing experience ;)
    * Download files through KDE download system
    * share bookmarks with Konqueror
    * navigate in a proxied net
    * browse anonymously
    * inspect web pages

%description -l de
rekonq ist ein leichtes KDE-Browser auf Webkit basiert.

%description -l fr
rekonq KDE est un navigateur léger basé sur Webkit.

%description -l es
rekonq KDE es un navegador ligero basado en WebKit.

%description -l pl
rekonq jest lekka przeglądarka dla KDE oparty na WebKit.

%description -l sr
реконк је лак за КДЕ претраживач базиран на УебКит.

%description -l nl
rekonq is een lichtgewicht KDE-browser gebaseerd op Webkit.


%prep
%setup -q

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

sed -i  's/False/false/g' %buildroot/%{_kde_datadir}/applications/kde4/rekonq.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

perl -pi -e "s|Name=rekonq|Name=Rekonq|" %buildroot/%{_datadir}/applications/kde4/rekonq.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 icons/hi32-app-rekonq.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/rekonq.png


%clean
rm -rf %buildroot

%files
%doc AUTHORS ChangeLog TODO
%defattr(-,root,root)
%{_kde_bindir}/%name
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/config.kcfg/%name.kcfg                                                           
%{_kde_appsdir}/%name   
%{_kde_iconsdir}/hicolor/*/*/*                                                        
%{_libdir}/libkdeinit4_rekonq.so
%{_datadir}/pixmaps/rekonq.png
%{_docdir}/HTML/*/%{name}
%_datadir/locale/*/LC_MESSAGES/rekonq.mo


%changelog
* Sun Jan 12 2014 bb <bb> 2.4.2-1pclos2014
- update

* Fri Nov 22 2013 billybot <billybot> 2.4.0-1pclos2013
- update

* Sun Jun 23 2013 Texstar <texstar at gmail.com> 2.3.1-1pclos2013
- 2.3.1

* Mon Apr 29 2013 pinoc <vogtpet at gmail.com>  2.3.0-1pclos2013
- 2.3.0

* Fri Mar 01 2013 pinoc <vogtpet at gmail.com>  2.2-1pclos2013
- 2.2

* Mon Jan 28 2013 pinoc <vogtpet at gmail.com>  2.1-1pclos2013
- 2.1

* Fri Jan 25 2013 pinoc <vogtpet at gmail.com>  2.0-1pclos2013
- 2.0

* Wed Aug 29 2012 Neal <nealbrks0 at gmail dot com> 1.1-1pclos2012
- process

* Tue Aug 28 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.1-1_archie_2012
- update

* Sat Jul 21 2012 Neal <nealbrks0 at gmail dot com> 1.0-1pclos2012
- process

* Sat Jul 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-1_archie_2012
- 1.0

* Thu Jun 14 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.80-1_archie_2012
- 0.9.80

* Sat May 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.2-1_archie_2012
- 0.9.2

* Sun Apr 03 2011 Texstar <texstar at gmail.com> 0.7.0-1pclos2011
- 0.7.0

* Mon Mar 21 2011 Texstar <texstar at gmail.com> 0.6.95-1pclos2011
- 0.6.95

* Mon Feb 28 2011 Texstar <texstar at gmail.com> 0.6.85-1pclos2011
- 0.6.85

* Wed Feb 09 2011 Texstar <texstar at gmail.com> 0.6.80-1pclos2011
- 0.6.80

* Thu Oct 07 2010 Texstar <texstar at gmail.com> 0.6.1-1pclos2010
- 0.6.1

* Tue Sep 14 2010 Texstar <texstar at gmail.com> 0.6.0-1pclos2010
- 0.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.5.80-2pclos2010
- rebuild for 4.5.1

* Sun Aug 22 2010 Texstar <texstar at gmail.com> 0.5.80-1pclos2010
- 0.5.80

* Sun Aug 15 2010 Texstar <texstar at gmail.com> 0.5.0-2pclos2010
- security update

* Tue Jul 06 2010 Texstar <texstar at gmail.com> 0.5.0-1pclos2010
- 0.5.0

* Sun Jun 13 2010 johnny black <johnnyblack at inbox.com> 0.4.95-1pclos2010
- 0.4.95 and convert source to xz

* Wed May 26 2010 johnny black <johnnyblack at inbox.com> 0.4.90-1pclos2010
- 0.4.90

* Tue Mar 16 2010 Texstar <texstar at gmail.com> 0.4.0-2pclos2010
- add missing dependency

* Sun Mar 14 2010 Texstar <texstar at gmail.com> 0.4.0-1pclos2010
- 0.4.0

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 0.3.90-2pclos2010
- rebuild

* Sat Feb 13 2010 Texstar <texstar at gmail.com> 0.3.90-1pclos2010
- 0.3.90

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.3.0-2pclos2010
- rebuild

* Thu Nov 19 2009 Texstar <texstar at gmail.com> 0.3.0-1pclos2010
- 0.3.0

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.2.0-2pclos2010
- rebuild

* Sun Aug 22 2009 Texstar <texstar at gmail.com> 0.2.0-1pclos2009
- 0.2.0

* Thu Aug 12 2009 Texstar <texstar at gmail.com> 0.1.98-1pclos2009
- 0.1.98

* Mon Aug 10 2009 pcserver <pcserver at hustmail.com> 0.1.97-1pclos2009
- 0.1.95

* Tue Jul 28 2009 pcserver <pcserver at hushmail.com> 0.1.96-1pclos2009
- create

